ServerEvents.recipes(event => {
  event.custom({
  "type": "botania:elven_trade",
  "ingredients": [
    {
      "item": "integratedterminals:menril_glass"
    },
    {
      "item": "thermal:tin_gear"
    },
    {
      "item": "minecraft:iron_block"
    }
  ],
  "output": [
    {
      "item": "thermal:machine_frame"
    }
  ]
})
event.custom({
"type": "actuallyadditions:laser",
  "energy": 100,
  "ingredient": {
    "item": "ae2:logic_processor"
  },
  "result": {
    "item": "thermal:rf_coil"
  }
  })
  event.custom({
"type": "actuallyadditions:laser",
  "energy": 100,
  "ingredient": {
    "item": "appflux:energy_processor"
  },
  "result": {
    "item": "thermal:redstone_servo"
  }
  })
    //Augment Hardened
    event.shaped(
  Item.of('thermal:upgrade_augment_1', 1),
  [
    'ABA',
    'CDC', 
    'ABA'
  ],
  {
    A: 'thermal:invar_ingot',
    B: 'thermal:rf_coil',
    C: 'thermal:invar_gear',
    D: 'minecraft:glass'
  }
)
event.recipes.thermal
    .smelter([
      Item.of('common_ore_library:brass_ingot', 3), // Résultat
    ], [
      'minecraft:copper_ingot', // Ingrédient 1
      'nuclearcraft:zinc_ingot'  // Ingrédient 2
    ])
    .experience(0.1)  
    .energy(2400)            
});
